classification
Title: bz2 does not support pathlib
Type: behavior Stage: resolved
Components: Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ethan.furman Nosy List: berker.peksag, brett.cannon, ethan.furman, ned.deily, python-dev, serhiy.storchaka, xiang.zhang
Priority: normal Keywords: patch

Created on 2016-09-21 07:27 by ethan.furman, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
open-bz2.stoneleaf.patch ethan.furman, 2016-09-21 07:27 review
issue28225_v2.diff berker.peksag, 2016-10-02 16:27 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (5)
msg277106 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-09-21 07:35
I opened a similar issue before: issue27511. Feel free to close it.
msg277390 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-09-25 18:26
Docs might need updating, but otherwise LGTM.
msg277901 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-02 16:27
Here's an updated patch.
msg277902 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-10-02 16:43
LGTM.
msg277903 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-02 17:05
New changeset fc0c244c6e79 by Berker Peksag in branch '3.6':
Issue #28225: bz2 module now supports pathlib
https://hg.python.org/cpython/rev/fc0c244c6e79

New changeset 0e9b77424d10 by Berker Peksag in branch 'default':
Issue #28225: Merge from 3.6
https://hg.python.org/cpython/rev/0e9b77424d10
History
Date User Action Args
2017-03-31 16:36:14dstufftsetpull_requests: + pull_request896
2016-10-02 17:05:46berker.peksagsetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-10-02 17:05:23python-devsetnosy: + python-dev
messages: + msg277903
2016-10-02 16:43:37serhiy.storchakasetnosy: + serhiy.storchaka

messages: + msg277902
stage: patch review -> commit review
2016-10-02 16:27:35berker.peksagsetfiles: + issue28225_v2.diff

messages: + msg277901
2016-10-01 02:09:27berker.peksagsetnosy: + berker.peksag
2016-10-01 02:06:52berker.peksaglinkissue27511 superseder
2016-09-25 18:26:14brett.cannonsetassignee: ethan.furman
messages: + msg277390
2016-09-23 21:32:32ned.deilysetnosy: + ned.deily

versions: + Python 3.7
2016-09-21 07:35:04xiang.zhangsetnosy: + xiang.zhang
messages: + msg277106
2016-09-21 07:27:45ethan.furmancreate